Skip to main content
POST
/
v1
/
rewards
/
{id}
/
grants
Issue reward grant
curl --request POST \
  --url https://api.oneofnone.io/v1/rewards/{id}/grants \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "teamAppUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sourceComponentId": "<string>",
  "sourceLayoutId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "grantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "token": "<string>",
  "redirectUrl": "<string>",
  "expiresAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json
teamAppUserId
string<uuid>
required
sourceComponentId
string | null
Required string length: 1 - 200
sourceLayoutId
string<uuid> | null

Response

Successful response

grantId
string<uuid>
required
token
string
required
redirectUrl
string
required
expiresAt
string
required